Add support for the Cedarview graphics driver

Bug #1026518 reported by Alberto Milone on 2012-07-19
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
High
Unassigned
Precise
High
Alberto Milone
ubuntu-drivers-common (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned

Bug Description

SRU request: Intel Cedarview based platforms need a handler to install the closed source binary drivers for accelerated graphics support. As you can see in bug #1025720, these drivers are being included in 12.04 and we need Jockey to detect the relevant hardware and recommend the correct driver.

Changed in jockey (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Fix Committed
Stéphane Graber (stgraber) wrote :

Reverting the precise task to In Progress, Fix Commited is for packages that are in the -proposed pocket, this package is still in the Unapproved queue.

Changed in jockey (Ubuntu):
status: Fix Committed → In Progress
Clint Byrum (clint-fewbar) wrote :

FYI, waiving the usual need for explicit test case / regression potential since the change just adds a new driver and users of said hardware will need to test.

tags: added: verification-needed

Hello Alberto, or anyone else affected,

Accepted jockey into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/jockey/0.9.7-0ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

this appears to be in need of forward-porting to ubuntu-drivers-common for post-precise.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-drivers-common (Ubuntu Precise):
status: New → Invalid
Changed in jockey (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → High
Changed in jockey (Ubuntu):
status: In Progress → Won't Fix
Changed in jockey (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in jockey (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Alberto Milone (albertomilone) wrote :

I can confirm that the package in -proposed works as expected. Furthermore no such driver will be provided in quantal, therefore forward porting shouldn't be necessary

tags: added: verification-done
removed: verification-needed
Adam Conrad (adconrad) wrote :

Setting this bug back to verification-needed, as it really should be tested that it DTRT against the cedarview binaries in the actual Ubuntu archive, which are being published over the next half hour (not entirely sure how it was tested previously).

tags: added: verification-needed
removed: verification-done
Alberto Milone (albertomilone) wrote :

I used the binaries from our PPA but ok, I'll test the code again with the binaries from the archive (not that it should make any difference)

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.9.7-0ubuntu7.1

---------------
jockey (0.9.7-0ubuntu7.1) precise-proposed; urgency=low

  * data/handlers/cdv.py:
    - Add support for the Cedarview graphics driver (LP: #1026518).
 -- Alberto Milone <email address hidden> Thu, 19 Jul 2012 10:38:28 +0200

Changed in jockey (Ubuntu Precise):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

I've had verbal confirmation from James Leddy that he's tested with the full set of packages in precise-proposed and the install test worked.

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

ubuntu-drivers-common should not actually require any special handling for cedarview, it's supposed to "just work", provided that the cedarview package has a proper Modaliases: field. If it does not work, can you please run "ubuntu-drivers debug" on a system which needs this driver and copy&paste the output here?

Please note that the driver is not even in quantal.

Changed in ubuntu-drivers-common (Ubuntu):
status: Triaged → Incomplete
Martin Pitt (pitti) wrote :

Alberto says that we probably won't ever have that package in Quantal. Also, see comment 11 why this should not affect ubuntu-drivers-common in the first place.

Changed in ubuntu-drivers-common (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers